Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.widget.graph
Class NodeProperties

    java.lang.Object
      edu.stanford.smi.protegex.widget.graph.GraphProperties
          edu.stanford.smi.protegex.widget.graph.GraphObjectProperties
              edu.stanford.smi.protegex.widget.graph.NodeProperties

    public class NodeProperties

extends GraphObjectProperties

Constructor Summary
`NodeProperties(String clsName, PropertyList propertyList)`

Method Summary
`String` | `getArrowheadType()`
`String` | `getConnectorSlot()`
`String` | `getCustomDisplayName()`
`String` | `getLineType()`
`String` | `getShape()`
`Color` | `getShapeColor()`
`Color` | `getTextColor()`
`boolean` | `isBold()`
`boolean` | `isItalic()`
`boolean` | `isTextDisplayed()`
`void` | `save()`
`void` | `setArrowheadType(String arrowheadType)`
`void` | `setBold(boolean bold)`
`void` | `setConnectorSlot(String connectorSlot)`
`void` | `setCustomDisplayName(String name)`
`void` | `setDisplayText(boolean displayText)`
`void` | `setItalic(boolean italic)`
`void` | `setLineType(String lineType)`
`void` | `setShape(String shape)`
`void` | `setShapeColor(Color shapeColor)`
`void` | `setTextColor(Color textColor)`

Methods inherited from class edu.stanford.smi.protegex.widget.graph.GraphProperties
`getBooleanProperty, getClsName, getIntProperty, getPrefix, getPropertyList, getStringProperty`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NodeProperties

    public NodeProperties(String clsName,
                          PropertyList propertyList)

Method Detail

### save

    public void save()

  Specified by:
    `save` in class `GraphProperties`

### getCustomDisplayName

    public String getCustomDisplayName()

### setCustomDisplayName

    public void setCustomDisplayName(String name)

### getShape

    public String getShape()

### setShape

    public void setShape(String shape)

### getShapeColor

    public Color getShapeColor()

### setShapeColor

    public void setShapeColor(Color shapeColor)

### getTextColor

    public Color getTextColor()

### setTextColor

    public void setTextColor(Color textColor)

### isBold

    public boolean isBold()

### setBold

    public void setBold(boolean bold)

### isItalic

    public boolean isItalic()

### setItalic

    public void setItalic(boolean italic)

### getLineType

    public String getLineType()

  Specified by:
    `getLineType` in class `GraphObjectProperties`

### setLineType

    public void setLineType(String lineType)

### getArrowheadType

    public String getArrowheadType()

  Specified by:
    `getArrowheadType` in class `GraphObjectProperties`

### setArrowheadType

    public void setArrowheadType(String arrowheadType)

### getConnectorSlot

    public String getConnectorSlot()

### setConnectorSlot

    public void setConnectorSlot(String connectorSlot)

### isTextDisplayed

    public boolean isTextDisplayed()

### setDisplayText

    public void setDisplayText(boolean displayText)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request